package com.djhk.common.api.factory;

import com.djhk.common.api.RemoteSpaceFlightService;
import com.djhk.common.api.domain.PoliceInfo;
import com.djhk.common.api.domain.SysPoliceFly;
import com.djhk.common.api.domain.to.*;
import com.djhk.common.core.domain.AjaxResult;
import com.djhk.common.core.domain.R;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

@Component
public class RemoteSpaceFlightFallbackFactory implements RemoteSpaceFlightService {


    @Override
    public R registerUser(UserTo userTo) {
        return null;
    }

    @Override
    public R saveUserOrgan(OrganUserTo userTo) {
        return null;
    }

    @Override
    public R delOrganUser(OrginDelTo orginDelTo) {
        return null;
    }

    @Override
    public R delOrgan(Long[] ids) {
        return null;
    }

    @Override
    public R saveOrgan(OrganTo organTo) {
        return null;
    }

    @Override
    public R userUpdateByUserId(UserUpdateTo userTo) {
        return null;
    }

    @Override
    public R updatePass(UserPassTo userTo) {
        return null;
    }

    @Override
    public R deleteUser(Long userId) {
        return null;
    }

    @Override
    public R deleteBatchUser(Long[] userIds) {
        return null;
    }

    @Override
    public R userResetPass(Long userId, String password) {
        return null;
    }

    @Override
    public R<String> sendSms(String phoneNo, String templateCodeIndex) {
        return null;
    }

    @Override
    public R recoverPwd(Long userId, String password) {
        return null;
    }

    @Override
    public R modelUpload(Long modelId, Long sysFileId) {
        return null;
    }

    @Override
    public R modelDeploy(Long modelId, String path) {
        return null;
    }

    @Override
    public R modelDeploying(Long modelId, String dealSts) {
        return null;
    }

    @Override
    public R addSysPolice(SysPoliceFly sysPoliceFly) {
        return null;
    }

    @Override
    public AjaxResult insertPoliceInfo(PoliceInfo policeInfo) {
        return null;
    }
}
